Package com.verisign.epp.codec.maintenance.v1_0

## Class EPPMaintenanceIntervention

- java.lang.Object
- - com.verisign.epp.codec.maintenance.v1_0.EPPMaintenanceIntervention

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPMaintenanceIntervention
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPMaintenanceIntervention` indicates what impact the maintenance will have to the client with the two boolean attributes:
  - connection - to indicate if a client needs to do something that is connection-related, such as a reconnect.
  - implementation - To indicate if a client needs to do something that is implementation-related, such as a code change.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPMaintenanceIntervention`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPMaintenanceIntervention`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPMaintenanceIntervention()` | Default constructor for `EPPMaintenanceIntervention`.
    `EPPMaintenanceIntervention​(boolean aConnection, boolean aImplementation)` | Constructor for `EPPMaintenanceIntervention` with all of the attributes as parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPMaintenanceIntervention`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPMaintenanceIntervention` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPMaintenanceIntervention` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPMaintenanceIntervention` compare.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `boolean` | `isConnection()` | Gets whether the client needs to do something that is connection-related, such as a reconnect.
    `boolean` | `isImplementation()` | Gets whether the client needs to do something that is implementation-related, such as a code change.
    `void` | `setConnection​(boolean aConnection)` | Sets whether the client needs to do something that is connection-related, such as a reconnect.
    `void` | `setImplementation​(boolean aImplementation)` | Sets whether the client needs to do something that is implementation-related, such as a code change.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPMaintenanceIntervention`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPMaintenanceIntervention`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPMaintenanceIntervention

          public EPPMaintenanceIntervention()

      Default constructor for `EPPMaintenanceIntervention`. The attributes `connection` and `implementation` are both set to `true`.

    - #### EPPMaintenanceIntervention

          public EPPMaintenanceIntervention​(boolean aConnection,
                                            boolean aImplementation)

      Constructor for `EPPMaintenanceIntervention` with all of the attributes as parameters.
      Parameters:
        `aConnection` - Indicates if a client needs to do something that is connection-related, such as a reconnect.
        `aImplementation` - indicates if a client needs to do something that is implementation-related, such as a code change.

  - ### Method Detail

    - #### isConnection

          public boolean isConnection()

      Gets whether the client needs to do something that is connection-related, such as a reconnect.
      Returns:
        `true` if the client does need to take a connection-related action; `false` otherwise.

    - #### setConnection

          public void setConnection​(boolean aConnection)

      Sets whether the client needs to do something that is connection-related, such as a reconnect.
      Parameters:
        `aConnection` - `true` if the client does need to take a connection-related action; `false` otherwise.

    - #### isImplementation

          public boolean isImplementation()

      Gets whether the client needs to do something that is implementation-related, such as a code change.
      Returns:
        `true` if the client does need to take a implementation-related action; `false` otherwise.

    - #### setImplementation

          public void setImplementation​(boolean aImplementation)

      Sets whether the client needs to do something that is implementation-related, such as a code change.
      Parameters:
        `aImplementation` - `true` if the client does need to take a implementation-related action; `false` otherwise.

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPMaintenanceIntervention` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPMaintenanceIntervention` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPMaintenanceIntervention` instance.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPMaintenanceIntervention` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPMaintenanceIntervention` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPMaintenanceIntervention` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPMaintenanceIntervention` instance to compare with
      Returns:
        `true` of `aObject` is equal to instance; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPMaintenanceIntervention`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPMaintenanceIntervention`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.